GNU bug report logs - #37200
[PATCH] gnu: Add roswell.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Pierre Neidhardt <mail@HIDDEN>; Keywords: patch; Done: Pierre Neidhardt <mail@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 37200 <at> debbugs.gnu.org and Pierre Neidhardt <mail@HIDDEN> Request was from Pierre Neidhardt <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37200 <at> debbugs.gnu.org:


Received: (at 37200) by debbugs.gnu.org; 19 Sep 2019 08:22:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 04:22:41 2019
Received: from localhost ([127.0.0.1]:55123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAri4-0002o1-PK
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 04:22:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53651)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iAri2-0002nj-4n
 for 37200 <at> debbugs.gnu.org; Thu, 19 Sep 2019 04:22:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47629)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iArhw-0003If-7e; Thu, 19 Sep 2019 04:22:32 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=56064 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iArhv-0001zx-5a; Thu, 19 Sep 2019 04:22:31 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#37200] [PATCH] gnu: Add roswell.
References: <20190827153304.25380-1-mail@HIDDEN>
 <87muf4d47u.fsf@HIDDEN> <87muf3kr83.fsf@HIDDEN>
 <87y2ylbyhn.fsf@HIDDEN> <878sqkeq2d.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Jour du Travail de =?utf-8?Q?l'Ann=C3=A9e?= 227 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 19 Sep 2019 10:22:29 +0200
In-Reply-To: <878sqkeq2d.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Thu, 19 Sep 2019 08:51:54 +0200")
Message-ID: <87r24cy9tm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37200
Cc: 37200 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Pierre,

Pierre Neidhardt <mail@HIDDEN> skribis:

> I initially wanted to package Roswell so that we can start packaging Lem
> (https://github.com/cxxxr/lem) but Lem it turns out the Lem does not
> need it anymore.

OK.

> I guess "Roswell on Guix" can be dropped then.

Your call.  If you feel this way, feel free to close this bug.

We can always revisit the issue later if needed.

Thank you,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#37200; Package guix-patches. Full text available.

Message received at 37200 <at> debbugs.gnu.org:


Received: (at 37200) by debbugs.gnu.org; 19 Sep 2019 06:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 02:51:59 2019
Received: from localhost ([127.0.0.1]:55076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAqIJ-0000TL-K1
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 02:51:59 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:32915)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iAqIH-0000T9-Ft
 for 37200 <at> debbugs.gnu.org; Thu, 19 Sep 2019 02:51:58 -0400
Received: from bababa (lfbn-1-4117-127.w92-169.abo.wanadoo.fr [92.169.116.127])
 (Authenticated sender: pierre@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id E4EF1200007;
 Thu, 19 Sep 2019 06:51:54 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#37200] [PATCH] gnu: Add roswell.
In-Reply-To: <87y2ylbyhn.fsf@HIDDEN>
References: <20190827153304.25380-1-mail@HIDDEN>
 <87muf4d47u.fsf@HIDDEN> <87muf3kr83.fsf@HIDDEN>
 <87y2ylbyhn.fsf@HIDDEN>
Date: Thu, 19 Sep 2019 08:51:54 +0200
Message-ID: <878sqkeq2d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 37200
Cc: 37200 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I initially wanted to package Roswell so that we can start packaging Lem
(https://github.com/cxxxr/lem) but Lem it turns out the Lem does not
need it anymore.

I guess "Roswell on Guix" can be dropped then.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl2DJYoACgkQm9z0l6S7
zH8WTQf/U4pnM8bq4y11B8LKiNe/l2xkcxxfQI9LSfwxwVNxlgu1PfYol/6rtCen
AtBzFAf1mWUErE81Ou6zGvGMqFkPfmj12hA1box8b5nKJqEXcS0WktvSzCiMUkfn
5aj2NlbQp1WMBWEj2zuXwXG51/q8DhIPDY84MHwHKrkFAOk0SDUwB48KKqqvL2Jh
48JN3Gmt3PdgqrZMJcNALdOMd1o+choesvXcRLmmEugt7JmZPMf6YOlZFegfwxVr
RwUNCFCNXZkEnpol15XFA9O6otnpUiI8CJWyDKBaXBcR60NYjP71KiFAT56VoH31
0MKzlzCjiIbbCREGnrJ4WpuSg7RFeQ==
=tIYk
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37200; Package guix-patches. Full text available.

Message received at 37200 <at> debbugs.gnu.org:


Received: (at 37200) by debbugs.gnu.org; 18 Sep 2019 12:06:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 08:06:11 2019
Received: from localhost ([127.0.0.1]:53693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAYio-0007sD-7O
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 08:06:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42303)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iAYii-0007rf-QS
 for 37200 <at> debbugs.gnu.org; Wed, 18 Sep 2019 08:06:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58568)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iAYid-0003N6-6V; Wed, 18 Sep 2019 08:05:59 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=50608 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iAYic-0000yJ-JL; Wed, 18 Sep 2019 08:05:59 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#37200] [PATCH] gnu: Add roswell.
References: <20190827153304.25380-1-mail@HIDDEN>
 <87muf4d47u.fsf@HIDDEN> <87muf3kr83.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Jour du =?utf-8?Q?G=C3=A9nie?= de =?utf-8?Q?l'Ann?=
 =?utf-8?Q?=C3=A9e?= 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 18 Sep 2019 14:05:56 +0200
In-Reply-To: <87muf3kr83.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Tue, 17 Sep 2019 15:05:48 +0200")
Message-ID: <87y2ylbyhn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37200
Cc: 37200 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Pierre,

Pierre Neidhardt <mail@HIDDEN> skribis:

> Thanks for the review!
>
> After some discussion with upstream, it does not seem that Roswell can
> be used without using a binary blob of SBCL:
>
> https://github.com/roswell/roswell/issues/387
>
> So I don't think that makes it a good fit for a Guix package.
>
> A few options:
>
> - Patch Roswell so that it takes Guix' SBCL instead of its own (could be
> a lot of work).
>
> - Patchelf the binary blob.

It=E2=80=99s clear that =E2=80=9Cpatchelf the binary blob=E2=80=9D is not a=
n option in Guix.

The description for Roswell says it=E2=80=99s a tool for =E2=80=9Cinstallin=
g and
managing Common Lisp implementations=E2=80=9D.  If its job is precisely to
download and run pre-built binaries, then perhaps that would require
significant changes in Roswell itself so that it patches the binaries it
downloads?

But then again, if Roswell is about downloading pre-built binaries, we
should be careful about what=E2=80=99s going on.  After all, that might be
partly redundant with what Guix does, except that those binaries it
downloads may be non-reproducible or may even lack and build recipe
altogether.

So=E2=80=A6 the story about these pre-built binaries raises a red flag for =
me,
and I=E2=80=99m not sure what can be done here.

Thoughts?

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#37200; Package guix-patches. Full text available.

Message received at 37200 <at> debbugs.gnu.org:


Received: (at 37200) by debbugs.gnu.org; 17 Sep 2019 13:05:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 17 09:05:54 2019
Received: from localhost ([127.0.0.1]:51831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iADB4-0002Rz-2r
	for submit <at> debbugs.gnu.org; Tue, 17 Sep 2019 09:05:54 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:54965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iADB1-0002Rn-Sp
 for 37200 <at> debbugs.gnu.org; Tue, 17 Sep 2019 09:05:53 -0400
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: pierre@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id EB5B6100011;
 Tue, 17 Sep 2019 13:05:49 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#37200] [PATCH] gnu: Add roswell.
In-Reply-To: <87muf4d47u.fsf@HIDDEN>
References: <20190827153304.25380-1-mail@HIDDEN> <87muf4d47u.fsf@HIDDEN>
Date: Tue, 17 Sep 2019 15:05:48 +0200
Message-ID: <87muf3kr83.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 37200
Cc: 37200 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Thanks for the review!

After some discussion with upstream, it does not seem that Roswell can
be used without using a binary blob of SBCL:

https://github.com/roswell/roswell/issues/387

So I don't think that makes it a good fit for a Guix package.

A few options:

=2D Patch Roswell so that it takes Guix' SBCL instead of its own (could be
a lot of work).

=2D Patchelf the binary blob.

Thoughts?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl2A2iwACgkQm9z0l6S7
zH+CkwgAgLZPsWfOwa/CiXM6Gp0lBD2ltRtBQ3rFVE1lEZeSRA79kKibjJtulPap
IhjAp1t5h8wJO/Gt8sc7O5V/yVz/WGSYZH2VjchEOdzz57s6KsT2G09zJK/x2kLv
2TQ1/9makVLAyiQRgaz1YFR0WuWkPfgfqpwOyPkiudQ7DRg2dn8zu+hYRlXbdxCf
iPG2tvCiogPRbiABK6HY1y3EutAW1s7ATzvRAkxoNAB7J/dN8flLeqmIHb2dCCGJ
Bctk3YhcKNWWnpVDMgML6Wz5tQQTxpMINGwr+5GzUNjvYcaXx2QjGi1S8w9KXgUb
Ipr97qBQ1LgAmn6tMmuaj4bW1klH3g==
=kUyn
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37200; Package guix-patches. Full text available.

Message received at 37200 <at> debbugs.gnu.org:


Received: (at 37200) by debbugs.gnu.org; 16 Sep 2019 08:40:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 04:40:19 2019
Received: from localhost ([127.0.0.1]:49144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9mYV-0006ou-9F
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 04:40:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i9mYT-0006og-6r
 for 37200 <at> debbugs.gnu.org; Mon, 16 Sep 2019 04:40:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47493)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i9mYM-0006OV-8e; Mon, 16 Sep 2019 04:40:10 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=46112 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i9mYI-0007Mc-GX; Mon, 16 Sep 2019 04:40:09 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#37200] [PATCH] gnu: Add roswell.
References: <20190827153304.25380-1-mail@HIDDEN>
Date: Mon, 16 Sep 2019 10:40:05 +0200
In-Reply-To: <20190827153304.25380-1-mail@HIDDEN> (Pierre Neidhardt's
 message of "Tue, 27 Aug 2019 17:33:04 +0200")
Message-ID: <87muf4d47u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37200
Cc: 37200 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Pierre,

Pierre Neidhardt <mail@HIDDEN> skribis:

> * gnu/packages/lisp.scm (roswell): New variable.

Looks like this patch feel through the cracks=E2=80=A6

> +           (lambda _
> +             ;; TODO: libcurl does not honor SSL_CERT_DIR et al.
> +             ;; See https://issues.guix.gnu.org/issue/25240.
> +             ;; Is the following workaround right?
> +             (substitute* "src/download.c"
> +               (("curl_easy_setopt\\(curl, CURLOPT_URL, uri\\);")
> +                "curl_easy_setopt(curl, CURLOPT_URL, uri);
> +curl_easy_setopt(curl, CURLOPT_CAINFO, \"/etc/ssl/certs/ca-certificates.=
crt\");"))
> +             #t)))))

Normally, it=E2=80=99s up to applications using libcurl to do the right thi=
ng,
which is (1) to check standard certificate locations like you did above,
and ideally (2) to check some environment variables.

Unfortunately some applications don=E2=80=99t do this (see for instance com=
mit
489d16577e4a6ccc30f3719d9263900089edd842.)  In those cases, we usually
do what you did above.

In short, I think it=E2=80=99s a fine workaround.

> +    (description
> +     "Roswell started out as a command-line tool with the aim to make
> +installing and managing Common Lisp implementations really simple and ea=
sy.
> +Roswell has now evolved into a full-stack environment for Common Lisp
> +development, and has many features that makes it easy to test, share, and
> +distribute your Lisp applications.
> +
> +Roswell is still in beta. Despite this, the basic interfaces are stable =
and
> +not likely to change.")

Maybe you can drop the second paragraph since it=E2=80=99ll hopefully become
stale.  :-)

Thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#37200; Package guix-patches. Full text available.

Message received at 37200 <at> debbugs.gnu.org:


Received: (at 37200) by debbugs.gnu.org; 27 Aug 2019 15:36:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 27 11:36:00 2019
Received: from localhost ([127.0.0.1]:49348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i2dVo-00049E-9N
	for submit <at> debbugs.gnu.org; Tue, 27 Aug 2019 11:36:00 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:43063)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1i2dVn-000496-2J
 for 37200 <at> debbugs.gnu.org; Tue, 27 Aug 2019 11:35:59 -0400
Received: from bababa (lfbn-1-4117-127.w92-169.abo.wanadoo.fr [92.169.116.127])
 (Authenticated sender: pierre@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 801FE100007
 for <37200 <at> debbugs.gnu.org>; Tue, 27 Aug 2019 15:35:57 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: 37200 <at> debbugs.gnu.org
Subject: Re: bug#37200: Acknowledgement ([PATCH] gnu: Add roswell.)
In-Reply-To: <handler.37200.B.156692001515701.ack <at> debbugs.gnu.org>
References: <20190827153304.25380-1-mail@HIDDEN>
 <handler.37200.B.156692001515701.ack <at> debbugs.gnu.org>
Date: Tue, 27 Aug 2019 17:35:56 +0200
Message-ID: <87k1aysjs3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 37200
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

This is a work in progress.
In particular, I know of the libcurl issue with SSL_CERT_DIR.
Is the proposed workaround appropriate?

There are still a couple more issues that need fixing.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl1lTdwACgkQm9z0l6S7
zH9SMAf+O+uixozYNk6xxb1AJZ7wN8o6BYmZCz7huUX18/DnTseDwzSiTBNJ0rQL
h44cGsTy1cd1IVDt7WqTtOXHO56NCvpYRjoIF+8YmwycX46s56vIsAFTgQM21A5R
V6Gh1iLY+Kra9GUx8ixOJPCtH6+CcGwCTeXinUk7BvaT6osz+BUwT9Vqm/sHxCtW
cbXBNjDIDEmyD7weoYkcReXkHvVX8IarJ1r+6aSYmi8i/nzbjIQMY5BdFE8PCDYi
HxR8oSMKD9rY47MqVGA90y2vTp4WJB8QgzlCiypkpSjj2glCksalDxhS3hlEGiE6
pntohuTrJJJdTflPG6J1gayZfGHfcg==
=arQ4
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37200; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Aug 2019 15:33:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 27 11:33:35 2019
Received: from localhost ([127.0.0.1]:49343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i2dTN-000453-8Y
	for submit <at> debbugs.gnu.org; Tue, 27 Aug 2019 11:33:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:53234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1i2dTL-00044w-Sh
 for submit <at> debbugs.gnu.org; Tue, 27 Aug 2019 11:33:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52928)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1i2dTK-0004ku-0F
 for guix-patches@HIDDEN; Tue, 27 Aug 2019 11:33:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1i2dTI-0004iZ-0B
 for guix-patches@HIDDEN; Tue, 27 Aug 2019 11:33:25 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:48521)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1i2dTH-0004hk-Nm
 for guix-patches@HIDDEN; Tue, 27 Aug 2019 11:33:23 -0400
Received: from localhost.localdomain (lfbn-1-4117-127.w92-169.abo.wanadoo.fr
 [92.169.116.127]) (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id C8BD9100007
 for <guix-patches@HIDDEN>; Tue, 27 Aug 2019 15:33:19 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add roswell.
Date: Tue, 27 Aug 2019 17:33:04 +0200
Message-Id: <20190827153304.25380-1-mail@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 217.70.178.231
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

* gnu/packages/lisp.scm (roswell): New variable.
---
 gnu/packages/lisp.scm | 50 ++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 49 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index d32f4b19bd..696bb393bc 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -10,7 +10,7 @@
 ;;; Copyright © 2017, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Benjamin Slade <slade@HIDDEN>
 ;;; Copyright © 2018 Alex Vong <alexvong1995@HIDDEN>
-;;; Copyright © 2018 Pierre Neidhardt <mail@HIDDEN>
+;;; Copyright © 2018, 2019 Pierre Neidhardt <mail@HIDDEN>
 ;;; Copyright © 2018, 2019 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2019 Katherine Cox-Buday <cox.katherine.e@HIDDEN>
 ;;; Copyright © 2019 Jesse Gildersleve <jessejohngildersleve@HIDDEN>
@@ -44,11 +44,13 @@
   #:use-module (guix build-system asdf)
   #:use-module (guix build-system trivial)
   #:use-module (gnu packages admin)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bdw-gc)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages c)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages curl)
   #:use-module (gnu packages ed)
   #:use-module (gnu packages flex)
   #:use-module (gnu packages fontutils)
@@ -679,6 +681,52 @@ libraries for Machine Learning, Neural Nets and statistical estimation.")
     (home-page "http://lush.sourceforge.net/")
     (license license:lgpl2.1+)))
 
+(define-public roswell
+  (package
+    (name "roswell")
+    (version "19.08.10.101")
+    (home-page "https://github.com/roswell/roswell/")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "0i72vzzzjwi9lnzzl8y10pp3kq298vhzz3spvsmi8n1yalqwslbf"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("autoconf" ,autoconf)
+       ("automake" ,automake)
+       ("intltool" ,intltool)))
+    (inputs
+     `(("curl" ,curl)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'build 'patch-ssl-certs
+           (lambda _
+             ;; TODO: libcurl does not honor SSL_CERT_DIR et al.
+             ;; See https://issues.guix.gnu.org/issue/25240.
+             ;; Is the following workaround right?
+             (substitute* "src/download.c"
+               (("curl_easy_setopt\\(curl, CURLOPT_URL, uri\\);")
+                "curl_easy_setopt(curl, CURLOPT_URL, uri);
+curl_easy_setopt(curl, CURLOPT_CAINFO, \"/etc/ssl/certs/ca-certificates.crt\");"))
+             #t)))))
+    (synopsis "Common Lisp implementation manager, launcher, and more")
+    (description
+     "Roswell started out as a command-line tool with the aim to make
+installing and managing Common Lisp implementations really simple and easy.
+Roswell has now evolved into a full-stack environment for Common Lisp
+development, and has many features that makes it easy to test, share, and
+distribute your Lisp applications.
+
+Roswell is still in beta. Despite this, the basic interfaces are stable and
+not likely to change.")
+    (license license:expat)))
+
 (define-public sbcl-alexandria
   (let ((revision "1")
         (commit "926a066611b7b11cb71e26c827a271e500888c30"))
-- 
2.21.0





Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#37200; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 19 Sep 2019 08:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.